Discard a part unit
https://carchost.fieldcontrol.com.br/part-units/{id}/discardDiscards the unit, in any status. If it was in a storage, the API records a removal movement. There is no body.
Requires the
X-Api-KeyandUser-Agentheaders. Limit: 1 request per second (learn more).
Request
Path parameters
idstringrequiredPart unit identifier.
Example: YzNkNGU1ZjYtYTdiOC05MDEyLWNkZWYtMTIzNDU2Nzg5MDEyOjIyOTE1.
Headers
User-AgentstringrequiredIdentification of your application.
Example: MinhaIntegracao/1.0.
Responses
- 200
Unit discarded (
status: discarded). - 401
API key missing (
Missing API Key) or invalid (Invalid API Key). See Authentication. - 403
Account blocked (
Account blocked), expired (Account expired) or on a plan that does not allow integration (Account plan not allowed). See Authentication. - 422
Nonexistent unit (resourceNotFound; there is no 404), or invalid URL identifier or one from another account (uriValidationErr).
- 429
Limit of 1 request per second exceeded. See Rate limit.
- 500
Unexpected server error. It also happens when an identifier in the body is not in the expected format.